# Interface SpectralCoords

public interface SpectralCoords
Represents a TFCat SpectralCoords object.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Collection<String>`
`SCALE_VALUES`
Permitted values for SpectralCoords scale attribute.
`static final Collection<String>`
`TYPE_VALUES`
Permitted values for SpectralCoords type attribute.

## Method Summary

Modifier and Type
Method
Description
`String`
`getScale()`
Returns a token giving the scale type for the spectral coordinate system.
`String`
`getType()`
Returns the spectral coordinate system type.
`String`
`getUnit()`
Returns the unit string for this coordinate system.

## Field Details

### TYPE_VALUES

static final Collection<String> TYPE_VALUES
Permitted values for SpectralCoords type attribute.

### SCALE_VALUES

static final Collection<String> SCALE_VALUES
Permitted values for SpectralCoords scale attribute.

## Method Details

### getType

String getType()
Returns the spectral coordinate system type. This should be one of the members of `TYPE_VALUES`, currently "frequency", "wavelength", "energy" or "wavenumber".

Returns:
  system type

### getUnit

String getUnit()
Returns the unit string for this coordinate system.

Returns:
  unit

### getScale

String getScale()
Returns a token giving the scale type for the spectral coordinate system. This should be one of the members of `SCALE_VALUES`, currently "linear" or "log".

Returns:
  scaling type